Debian Bug report logs - #628188
Use /run/sendsigs.omit.d/

version graph

Package: live-boot-initramfs-tools; Maintainer for live-boot-initramfs-tools is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot-initramfs-tools is src:live-boot.

Reported by: Michael Biebl <biebl@debian.org>

Date: Sat, 28 May 2011 06:06:02 UTC

Severity: normal

Fixed in version live-boot/3.0~a18-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#628188; Package live-boot-initramfs-tools. (Sat, 28 May 2011 06:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 28 May 2011 06:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Use /run/sendsigs.omit.d/
Date: Sat, 28 May 2011 08:03:25 +0200
Package: live-boot-initramfs-tools
Severity: normal
User: rleigh@debian.org
Usertags: run-transition

Hi Daniel,

live-boot-initramfs-tools uses the sendsigs.omit interface to prevent
unionfs-fuse to be killed on shutdown prematurely.

Unfortunately the fix in #621908 does not quite achieve that.
As you can see in /etc/init.d/sendsigs,
The sendsigs interface uses
/run/sendsigs.omit respectively files in /run/sendsigs.omit.d/
Files from /run/initramfs/sendsigs.omit.d are *not* read.

Please adjust scripts/live and use the correct paths there.
Something like:
mkdir -p /run/sendsigs.omit.d
pidof unionfs-fuse >> /run/sendsigs.omit.d/unionfs-fuse

(Similar to what you already do in ntfs-3g).

Cheers,
Michael

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-1-486
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#628188; Package live-boot-initramfs-tools. (Sat, 28 May 2011 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 28 May 2011 06:33:04 GMT) Full text and rfc822 format available.

Message #10 received at 628188@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Michael Biebl <biebl@debian.org>
Cc: 628188@bugs.debian.org
Subject: Re: Bug#628188: Use /run/sendsigs.omit.d/
Date: Sat, 28 May 2011 08:30:53 +0200
tag 628188 pending
thanks

On 05/28/2011 08:03 AM, Michael Biebl wrote:
> Unfortunately the fix in #621908 does not quite achieve that.

updated in git, uploading soon, thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 28 May 2011 06:33:05 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 11 Jun 2011 09:36:11 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Sat, 11 Jun 2011 09:36:15 GMT) Full text and rfc822 format available.

Message #17 received at 628188-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 628188-close@bugs.debian.org
Subject: Bug#628188: fixed in live-boot 3.0~a18-1
Date: Sat, 11 Jun 2011 09:33:55 +0000
Source: live-boot
Source-Version: 3.0~a18-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_3.0~a18-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a18-1_all.deb
live-boot_3.0~a18-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a18-1.debian.tar.gz
live-boot_3.0~a18-1.dsc
  to main/l/live-boot/live-boot_3.0~a18-1.dsc
live-boot_3.0~a18-1_all.deb
  to main/l/live-boot/live-boot_3.0~a18-1_all.deb
live-boot_3.0~a18.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a18.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628188@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 11 Jun 2011 11:24:15 +0200
Source: live-boot
Binary: live-boot live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a18-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 628188
Changes: 
 live-boot (3.0~a18-1) unstable; urgency=low
 .
   * Updating and correcting sendsigs.omit support for /run (Closes:
     #628188).
   * Removing accidentally twice included English files when installing
     manpages.
Checksums-Sha1: 
 2e81e9e527319486405d8564f2f4563d1231d7ff 1250 live-boot_3.0~a18-1.dsc
 7b9deb6f90d62eb4c399f549720534589819b6a8 109358 live-boot_3.0~a18.orig.tar.gz
 fad93be7d20fddc64f55d6827583733820802001 19580 live-boot_3.0~a18-1.debian.tar.gz
 86eabfbd36053c891dec9e1a101a648ef4b380e2 76526 live-boot_3.0~a18-1_all.deb
 6bc7fcdb90c2683d653efeb1a547a136ec638e94 31538 live-boot-initramfs-tools_3.0~a18-1_all.deb
Checksums-Sha256: 
 37236b87fabe6c269961b91d28e303511e963bae2b27265550037e2ab1455a83 1250 live-boot_3.0~a18-1.dsc
 17d409273dabbf91638e9959b7986e1622c10c19f3110417a20bf41f8a7473f9 109358 live-boot_3.0~a18.orig.tar.gz
 ff398a86d09db4fea3e18bb3d9c89767c0b3485dd7e9f0c2adb2dcafc1baabd2 19580 live-boot_3.0~a18-1.debian.tar.gz
 89dfb00139ea910c44e32b794778cc895d683b2fc07f752f4ba436bb28f792ef 76526 live-boot_3.0~a18-1_all.deb
 2ecbcd3a20e5c88598ff47e61323e68f90afa40f8074ed4a15158c7faf5d2830 31538 live-boot-initramfs-tools_3.0~a18-1_all.deb
Files: 
 9122d12ff7ee9baf58328289e5081564 1250 misc optional live-boot_3.0~a18-1.dsc
 9e7b8dd9e47adb510df5333b399f8713 109358 misc optional live-boot_3.0~a18.orig.tar.gz
 3195de6e606e3654087a02eb3ec17dd7 19580 misc optional live-boot_3.0~a18-1.debian.tar.gz
 d01eb5011037788bf93d67c9270cbdfe 76526 misc optional live-boot_3.0~a18-1_all.deb
 58777f98db5ac26d400acbb8723252fa 31538 misc optional live-boot-initramfs-tools_3.0~a18-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3zNOoACgkQ+C5cwEsrK55NiACfduaRj1mhshkBR6Qwav473wCP
/f4AoLrTYd5fonnYqseeA60HhztR0U9+
=KzKP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 20 Jul 2011 07:35:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:07:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.